import { defineContainer } from './vue-component-lib/utils';
import { defineCustomElements } from '@govbr-ds-testing/webcomponents/loader';
defineCustomElements();
export const BrButton = defineContainer('br-button', undefined, [
    'circle',
    'emphasis',
    'block',
    'density',
    'loading',
    'disabled',
    'active',
    'autofocus',
    'type',
    'value',
    'connectedCallbackEvent',
    'componentWillLoadEvent',
    'componentDidLoadEvent',
    'componentWillRenderEvent',
    'componentDidRenderEvent',
    'componentShouldUpdateEvent',
    'componentWillUpdateEvent',
    'componentDidUpdateEvent',
    'disconnectedCallbackEvent'
]);
export const BrCheckbox = defineContainer('br-checkbox', undefined, [
    'checked',
    'disabled',
    'invalid',
    'valid',
    'name',
    'label',
    'value',
    'connectedCallbackEvent',
    'componentWillLoadEvent',
    'componentDidLoadEvent',
    'componentWillRenderEvent',
    'componentDidRenderEvent',
    'componentShouldUpdateEvent',
    'componentWillUpdateEvent',
    'componentDidUpdateEvent',
    'disconnectedCallbackEvent',
    'checkedChanged'
]);
export const BrInput = defineContainer('br-input', undefined, [
    'type',
    'autocomplete',
    'autofocus',
    'density',
    'disabled',
    'inline',
    'icon',
    'button',
    'highlight',
    'success',
    'danger',
    'info',
    'warning',
    'label',
    'max',
    'maxlength',
    'minlength',
    'min',
    'name',
    'pattern',
    'placeholder',
    'readonly',
    'required',
    'size',
    'step',
    'value',
    'valueChanged',
    'connectedCallbackEvent',
    'componentWillLoadEvent',
    'componentDidLoadEvent',
    'componentWillRenderEvent',
    'componentDidRenderEvent',
    'componentShouldUpdateEvent',
    'componentWillUpdateEvent',
    'componentDidUpdateEvent',
    'disconnectedCallbackEvent'
], 'value', 'v-on-change');
export const BrItem = defineContainer('br-item', undefined, [
    'disabled',
    'active',
    'selected',
    'connectedCallbackEvent',
    'componentWillLoadEvent',
    'componentDidLoadEvent',
    'componentWillRenderEvent',
    'componentDidRenderEvent',
    'componentShouldUpdateEvent',
    'componentWillUpdateEvent',
    'componentDidUpdateEvent',
    'disconnectedCallbackEvent'
]);
export const BrList = defineContainer('br-list', undefined, [
    'density',
    'title',
    'horiontal',
    'disabled',
    'connectedCallbackEvent',
    'componentWillLoadEvent',
    'componentDidLoadEvent',
    'componentWillRenderEvent',
    'componentDidRenderEvent',
    'componentShouldUpdateEvent',
    'componentWillUpdateEvent',
    'componentDidUpdateEvent',
    'disconnectedCallbackEvent'
]);
export const BrRadio = defineContainer('br-radio', undefined, [
    'checked',
    'disabled',
    'invalid',
    'valid',
    'name',
    'label',
    'value',
    'connectedCallbackEvent',
    'componentWillLoadEvent',
    'componentDidLoadEvent',
    'componentWillRenderEvent',
    'componentDidRenderEvent',
    'componentShouldUpdateEvent',
    'componentWillUpdateEvent',
    'componentDidUpdateEvent',
    'disconnectedCallbackEvent',
    'valueChanged'
]);
export const BrTextarea = defineContainer('br-textarea', undefined, [
    'value',
    'label',
    'textAux',
    'placeholder',
    'density',
    'connectedCallbackEvent',
    'componentWillLoadEvent',
    'componentDidLoadEvent',
    'componentWillRenderEvent',
    'componentDidRenderEvent',
    'componentShouldUpdateEvent',
    'componentWillUpdateEvent',
    'componentDidUpdateEvent',
    'disconnectedCallbackEvent',
    'valueChanged'
]);
//# sourceMappingURL=components.js.map